import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'shortText'
})
export class ShortTextPipe implements PipeTransform {

  transform(value: string, len:number)
   {
     let newString = value.substr(0,len);

    if(value.length > len){
      newString += '...';
    }

    return newString;
  }

}
