import { newArray } from '@angular/compiler/src/util';
import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'sortPrice'
})
export class SortPricePipe implements PipeTransform {

  transform(arr:object[], maxPrice:number, param:string) {

    if(arr.length == 0 || maxPrice < 1 || typeof param !== 'string' )
  {
      return arr;
  }

  let newArray = arr.filter(ele => ele[param] < maxPrice);
    return newArray;
  }

}
